Bug 477697 - unable to set hostname. unhandled exception when use system-config-network
unable to set hostname. unhandled exception when use system-config-network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 17:59 EST by stradbroken
Modified: 2009-12-18 02:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stradbroken 2008-12-22 17:59:35 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.5) Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5

localhost.localdomain is set in /etc/sysconfig/network but at logon sctreen and when open a terminalthe system is "unknownxyxyxyxyxyxy", where xyxyxyxyxyxy is the MAC of my ethernet card at eth0. 

When I try to edit eth0 by using system-config-network, I receive unhandled exception error and advice to file a bug report.

  See below:

Component: system-config-network
Version: 1.5.93
Summary: TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 814, in on_editButton_clicked
    self.editButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 922, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 950, in editDevice
    dialog = device.getDialog()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Local variables in innermost frame:
self: Device.AllowUser=False
Device.AutoDNS=True
Device.BootProto=dhcp
Device.Device=eth0
Device.DeviceId=eth0
Device.HardwareAddress=00:05:1c:21:1c:37
Device.IPv6Init=False
Device.NMControlled=False
Device.OnBoot=True
Device.Type=ethernet

I am not using Network Manager. If I use it, then it allows renaming to localhost.localdomain but it causes other weirdness such as Firefox and Evolution starting off-line.



Reproducible: Always

Steps to Reproduce:
1.Start system
2.
3.



Happens despite setting localhost.localdomain in /etc/sysconfig/network and in /etc/hosts
Comment 1 Bug Zapper 2009-11-18 07:42:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:22:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.